hole_a_offset = 47;
hole_b_offset = 45;

hole_dia = 11.9/64.0 * 25.4;

plate_width = 52;
plate_height = 49;
thickness = 2.0;
plate_dim = 11;

$fn = 23;

tab_dim = 9;
tab_hole_dia = 8.5/64.0 * 25.4; 

reinf_thickness = 1.25;
reinf_height = plate_height - 12;

module tab() {
    difference(){
        cube([tab_dim, tab_dim, thickness]);
        translate([tab_dim/2,tab_dim/2,-1]){
            cylinder(h = tab_dim * 2 , r = tab_hole_dia/2.0);
        }
    }
}

difference(){
union(){
    cube([plate_width, thickness,plate_dim]);
    cube([plate_dim, thickness, plate_height]);
    translate([0, thickness, 0]){
        tab();
        translate([plate_width - tab_dim * 2,0,0]){
            tab();
        }
    }
    
    rotate([0,-90,0]){
    linear_extrude(reinf_thickness){
        polygon(points = [[0,0], [reinf_height, 0], [reinf_height, thickness], 
        [thickness,tab_dim +thickness], [0,tab_dim +thickness]]);
    }
}


}


union(){
translate([0,-1,0]){
    translate([hole_a_offset,0,51 - 44]){
        rotate([-90,0,0]){
            cylinder(h = plate_dim *2, r = hole_dia/2, center = true);
        }
    }
    
    // TODO - chanmge
    translate([52- 47,0,hole_b_offset]){
        rotate([-90,0,0]){
            cylinder(h = plate_dim *2, r = hole_dia/2, center = true);
        }
    }
    
    
}
}



}


